[ubuntu/groovy-proposed] sphinx 2.4.3-2ubuntu1 (Accepted)

Steve Langasek steve.langasek at ubuntu.com
Fri May 1 22:17:13 UTC 2020


sphinx (2.4.3-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Restore changes to workaround webkitgtk/js being buggy on ppc/s390x
      see https://bugs.webkit.org/show_bug.cgi?id=209337 for details about
      the current issue
  * Dropped changes, included in Debian:
    - Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
      parsing errors with shared-mime-info ≥ 0.11
    - Drop python2 support.

sphinx (2.4.3-2) unstable; urgency=medium

  * Simplify debian/patches/html5_docs.diff for the new release.
  * Break python3-breathe < 4.13 (closes: #955569).
  * Backport two upstream patches to fix performance issues because of
    debug calls.
  * Clean up debian/clean, remove files no longer present upstream.
  * Upload to unstable.

sphinx (2.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Update to debhelper compat level 12.

sphinx (2.4.1-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh patches for the new release.
  * Depend on python3-typed-ast to make the tests pass with Python 3.7.
  * dh_sphinxdoc: Add support for script tags without type="text/javascript".
  * dh_sphinxdoc: Do not warn about sidebar.js file.
  * Update numbers in debian/jstest/run-tests for the new release.

  [ Michael R. Crusoe ]
  * Mark the -doc and -common binary packages as Multi-Arch: foreign.

sphinx (2.3.1-1) experimental; urgency=medium

  [ Christoph Berg ]
  * New upstream version 2.2.0.
  * Remove obsolete patches: no_require_websupport.diff,
    python2_test_get_module_source.diff, reproducible_download.diff,
    docutils_0.15.diff, remove_websupport_assets.diff.

  [ Dmitry Shachnev ]
  * New upstream version 2.3.1 (closes: #944913).
  * Drop no_spaces_in_hyphenated_words.diff, applied in the new release.
  * Drop debian/patches/python2_tests_import_hack.diff, this version of
    Sphinx no longer supports Python 2.
  * Refresh other patches.
  * Drop Python 2 support from packaging.
  * Update dependencies according to upstream setup.py:
    - Bump required docutils version to 0.12.
    - Bump required requests version to 2.5.0.
    - Remove six from dependencies.
    - Remove mock from tests dependencies.
  * Patch out references to sphinxcontrib modules.
  * Skip tests that require sphinxcontrib.jsmath module.
  * Update dh_sphinxdoc for the new searchindex.js loading scheme.
  * Use packaged MathJax for sphinx-doc.
  * Build-Depend on and suggest fonts-freefont. The LaTeX writer now uses
    this font for xelatex and lualatex.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Skip tests that require sphinxcontrib.serializinghtml module (they were
    run only during autopkgtest).
  * Move sphinxcontrib modules to extras_require.
  * Move python3-lib2to3 from Depends to Suggests.
  * Update the Homepage field to use https.
  * Bump Standards-Version to 4.5.0, no changes needed.

sphinx (1.8.5-9) unstable; urgency=medium

  * Drop two python2 patches, no longer needed.
  * jstest: Enable writing console messages to stdout.
  * Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
    parsing errors with shared-mime-info ≥ 0.11 (LP: #1871610).

sphinx (1.8.5-8) unstable; urgency=medium

  * Drop Python 2 support; Closes: #938528

Date: Fri, 01 May 2020 15:10:48 -0700
Changed-By: Steve Langasek <steve.langasek at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/sphinx/2.4.3-2ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 01 May 2020 15:10:48 -0700
Source: sphinx
Architecture: source
Version: 2.4.3-2ubuntu1
Distribution: groovy
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Steve Langasek <steve.langasek at ubuntu.com>
Closes: 938528 944913 955569
Launchpad-Bugs-Fixed: 1871610
Changes:
 sphinx (2.4.3-2ubuntu1) groovy; urgency=low
 .
   * Merge from Debian unstable.  Remaining changes:
     - Restore changes to workaround webkitgtk/js being buggy on ppc/s390x
       see https://bugs.webkit.org/show_bug.cgi?id=209337 for details about
       the current issue
   * Dropped changes, included in Debian:
     - Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
       parsing errors with shared-mime-info ≥ 0.11
     - Drop python2 support.
 .
 sphinx (2.4.3-2) unstable; urgency=medium
 .
   * Simplify debian/patches/html5_docs.diff for the new release.
   * Break python3-breathe < 4.13 (closes: #955569).
   * Backport two upstream patches to fix performance issues because of
     debug calls.
   * Clean up debian/clean, remove files no longer present upstream.
   * Upload to unstable.
 .
 sphinx (2.4.3-1) experimental; urgency=medium
 .
   * New upstream release.
   * Update to debhelper compat level 12.
 .
 sphinx (2.4.1-1) experimental; urgency=medium
 .
   [ Dmitry Shachnev ]
   * New upstream release.
   * Refresh patches for the new release.
   * Depend on python3-typed-ast to make the tests pass with Python 3.7.
   * dh_sphinxdoc: Add support for script tags without type="text/javascript".
   * dh_sphinxdoc: Do not warn about sidebar.js file.
   * Update numbers in debian/jstest/run-tests for the new release.
 .
   [ Michael R. Crusoe ]
   * Mark the -doc and -common binary packages as Multi-Arch: foreign.
 .
 sphinx (2.3.1-1) experimental; urgency=medium
 .
   [ Christoph Berg ]
   * New upstream version 2.2.0.
   * Remove obsolete patches: no_require_websupport.diff,
     python2_test_get_module_source.diff, reproducible_download.diff,
     docutils_0.15.diff, remove_websupport_assets.diff.
 .
   [ Dmitry Shachnev ]
   * New upstream version 2.3.1 (closes: #944913).
   * Drop no_spaces_in_hyphenated_words.diff, applied in the new release.
   * Drop debian/patches/python2_tests_import_hack.diff, this version of
     Sphinx no longer supports Python 2.
   * Refresh other patches.
   * Drop Python 2 support from packaging.
   * Update dependencies according to upstream setup.py:
     - Bump required docutils version to 0.12.
     - Bump required requests version to 2.5.0.
     - Remove six from dependencies.
     - Remove mock from tests dependencies.
   * Patch out references to sphinxcontrib modules.
   * Skip tests that require sphinxcontrib.jsmath module.
   * Update dh_sphinxdoc for the new searchindex.js loading scheme.
   * Use packaged MathJax for sphinx-doc.
   * Build-Depend on and suggest fonts-freefont. The LaTeX writer now uses
     this font for xelatex and lualatex.
   * Update numbers in debian/jstest/run-tests for the new release.
   * Skip tests that require sphinxcontrib.serializinghtml module (they were
     run only during autopkgtest).
   * Move sphinxcontrib modules to extras_require.
   * Move python3-lib2to3 from Depends to Suggests.
   * Update the Homepage field to use https.
   * Bump Standards-Version to 4.5.0, no changes needed.
 .
 sphinx (1.8.5-9) unstable; urgency=medium
 .
   * Drop two python2 patches, no longer needed.
   * jstest: Enable writing console messages to stdout.
   * Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
     parsing errors with shared-mime-info ≥ 0.11 (LP: #1871610).
 .
 sphinx (1.8.5-8) unstable; urgency=medium
 .
   * Drop Python 2 support; Closes: #938528
Checksums-Sha1:
 914dfde8fb09db10ca31c1557b2aeeaa09c0c9a2 3361 sphinx_2.4.3-2ubuntu1.dsc
 559b7b3cdb2e682e1e09ea7c15b5b6dc00d9fc2f 5711784 sphinx_2.4.3.orig.tar.gz
 4398b8d9027dbe59d58536cde06019614bc18fd5 39784 sphinx_2.4.3-2ubuntu1.debian.tar.xz
 106e5dffc99dfeaef73cef554bc966f92e7157ea 6182 sphinx_2.4.3-2ubuntu1_source.buildinfo
Checksums-Sha256:
 61647637f0a2216129e05c73925d86ee9ea4a8ed3d5158fc78f8567c8f861f8d 3361 sphinx_2.4.3-2ubuntu1.dsc
 ca762da97c3b5107cbf0ab9e11d3ec7ab8d3c31377266fd613b962ed971df709 5711784 sphinx_2.4.3.orig.tar.gz
 6fd2f2f524ca4766f09736366923fd8fd1b31bfbc4d1a33064d1f4825201f9b6 39784 sphinx_2.4.3-2ubuntu1.debian.tar.xz
 865179260baf673813dcdeed76ed00b2e90d443d6cc9e84fa1087d489b736029 6182 sphinx_2.4.3-2ubuntu1_source.buildinfo
Files:
 72d4e9a24270d41b370d4fb75addd77b 3361 python optional sphinx_2.4.3-2ubuntu1.dsc
 5d1c845e061566e80e6a92c84ad37c3f 5711784 python optional sphinx_2.4.3.orig.tar.gz
 3bb892354222c347200a11d9d42a3367 39784 python optional sphinx_2.4.3-2ubuntu1.debian.tar.xz
 8bcc4df9f22ae4779f1e057bfafc23db 6182 python optional sphinx_2.4.3-2ubuntu1_source.buildinfo
Original-Maintainer: Debian Python Modules Team <python-modules-team at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----

iQJOBAEBCgA4FiEErEg/aN5yj0PyIC/KVo0w8yGyEz0FAl6sn6gaHHN0ZXZlLmxh
bmdhc2VrQHVidW50dS5jb20ACgkQVo0w8yGyEz2xBg/+NzgSaE7q1pgbo8hYF4Ep
jlBjU/TX/zxITNisSqS7l8CwZEInVo5sk357cCSwH8N2tqnkyE3ID/1HIOX40Hkv
rRPyHlh3HHUMBo2AQ76ktJ/M99JzeLaso8KFtX6MQgutrnlJmYOa3Mk2hvd4sSTT
n7AMIQ7caYwioTSnyks1XK4Zu3saXS000GUxJFNkqiERuFx/LOAia0PXet6/U/D8
2VS1+Y2JV2VXy8DW1N2oqFYlycTXpP/asDGvDKDdTHQo6sRc6D3GDKf9+W1ozLVE
wxLhuJvIhSgONwjpueIUTaBsx3kCYoXzzml9bEAJzI4APiUfsTAeSjuQLK0+xqNx
qeRky3CNN+H88/XZQCq5sga+UWO9rv5syKm1Pe8TKjkydZwdogQMp5jPF206ffYa
ciSCUBHSF+23fD0TPZmUfGOZh9CiqE2UWkwgwEf/nOgo/jb23t1O1UtP27EQSnMs
/KtE30yhOKSNABPZrjMcEL2/rdNaAcagxHJ+6cU1xFeuMfSgI5vRGMA3XTToUCy9
Glgc23/gdNoLA8ipQyCC08422HRPGmRpbQkmg32uXlIjVAH0ckuF8Wmtc7zaUxol
RlrWk3VSW1Y70xtCmb6oo7Ksi5ocoy75vCgMXz23vM/ibM4xcfD+OsBEJWzNlVB2
spObLbuNL1i6kIMxXu7b+Tk=
=B6xX
-----END PGP SIGNATURE-----


More information about the Groovy-changes mailing list